Annonce

Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

plg
2011-03-07 08:53:45

Eric a écrit:

[...] la suppression du mode adviser (par exemple, les conditions if (!adviser) ne fonctionneront plus).

Si, P@t a gardé la fonction quand même (qui renvoit toujours false), histoire de ne pas casser tout un tas de plugins. Mais il est recommandé de supprimer cette condition devenue tout à fait inutile.

Eric
2011-03-06 15:00:47

Il y a les changements inhérents à la mise à niveau de Smarty (combine à la place de known_script), l'utilisation des versions minified des scripts JQuery lorsqu'elles existent (pas vraiment obligatoire mais c'est mieux pour les perfs) et la suppression du mode adviser (par exemple, les conditions if (!adviser) ne fonctionneront plus).

C'est tout ce que j'ai remarqué vis à vis de mes plugins pour les rendre compatible 2.2.0

mistic100
2011-03-06 14:51:41

personnellement je n'ai vu que le changement de fonction pour appeler les scripts, bon faut dire que j'utilise pas non plus des fonctions extravagantes ^^

et l'utilisation facultative des sprites pour les boutons publiques

Gotcha
2011-03-06 12:42:49

LucMorizur a écrit:

plg a écrit:

On fera une page dans le wiki avec tout ce qui change en Piwigo 2.2 pour les développeurs de thèmes et de plugins. Je dois faire un point avec rvelices et P@t sur ce sujet.

+ beaucoup ; j'avais justement l'intention de demander ce qu'on devait changer dans les plugins pour les rendre 2.2-compatibles.

Moi aussi je n'attends que ça pour me décider à préparer la suite :-)

LucMorizur
2011-03-06 12:12:53

plg a écrit:

On fera une page dans le wiki avec tout ce qui change en Piwigo 2.2 pour les développeurs de thèmes et de plugins. Je dois faire un point avec rvelices et P@t sur ce sujet.

+ beaucoup ; j'avais justement l'intention de demander ce qu'on devait changer dans les plugins pour les rendre 2.2-compatibles.

P@t
2011-03-06 11:51:31

cljosse a écrit:

La librairie jquery.cluetip.js n'existe pas en version "jquery.cluetip.min.js " ou c'est un défaut de chargement?

Je viens de la mettre à jour (ainsi que jQuery en version 1.5.1) car ca plantait sous IE9.
J'ai également viré le fichier packed de cluetip.

Dans sa dernière version, cluetip n'est pas livré en minified ou packed, du coup, on la laisse tel quelle (de toute facon, les js sont minifié à la volée dans combine_script).

cljosse
2011-02-28 15:15:31

Bonjour.
La librairie jquery.cluetip.js n'existe pas en version "jquery.cluetip.min.js " ou c'est un défaut de chargement?

A+

Gotcha
2011-02-26 13:07:21

plg a écrit:

Gotcha a écrit:

@Pierrick : est-ce que ça justifie une annonce au moins sur le forum ?

Non, pas uniquement sur ce point.

On fera une page dans le wiki avec tout ce qui change en Piwigo 2.2 pour les développeurs de thèmes et de plugins. Je dois faire un point avec rvelices et P@t sur ce sujet.

J'applaudis car ce sera super d'aider à la migration des thèmes et des plugins :-)

plg
2011-02-26 13:03:28

Gotcha a écrit:

@Pierrick : est-ce que ça justifie une annonce au moins sur le forum ?

Non, pas uniquement sur ce point.

On fera une page dans le wiki avec tout ce qui change en Piwigo 2.2 pour les développeurs de thèmes et de plugins. Je dois faire un point avec rvelices et P@t sur ce sujet.

Gotcha
2011-02-26 13:01:32

@Pierrick : est-ce que ça justifie une annonce au moins sur le forum ?

cljosse
2011-02-26 11:29:23

C'est juste pour informer les développeurs de plugin .
Sinon c'est ok.
:-)

plg
2011-02-26 10:43:04

et donc ? (ça ne marche plus ou c'est pour prévenir les développeurs de plugin par exemple ?)

cljosse
2011-02-26 10:22:48

Bonjour.

Dans la version 2.2.0.RC3
Le noms des les librairies js sont mainrenant sous la forme:

themes/default/js/ui/minified/jquery.ui.xxxx.min.js
themes/default/js/ui/jquery.ui.xxxx.js

au lieu de
themes/default/js/ui/minified/ui.xxxx.min.js
themes/default/js/ui/ui.xxxx.js

Les librairies en packed n'existent plus.

A+

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2022 · Contact